# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-XML-Simple
Version:	2.18
Release:	6.%{__distinit}%{__distvers}
Summary:	Easy API to maintain XML in Perl
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/XML-Simple/
Source0:	http://search.cpan.org/CPAN/authors/id/G/GR/GRANTM/XML-Simple-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Tie::IxHash)
BuildRequires:	perl(XML::LibXML)
BuildRequires:	perl(XML::NamespaceSupport) >= 1.04
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl(XML::SAX)
# XML-SAX-ExpatXS up to 0.98 has known namespace bugs, and will cause the
# tests to fail if it is installed as the default SAX parser.
BuildConflicts: perl(XML::SAX::ExpatXS)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(XML::Parser)

%description
The XML::Simple module provides a simple API layer on top of an
underlying XML parsing module (either XML::Parser or one of the SAX2
parser modules).

%prep
%setup -q -n XML-Simple-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}/*

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%dir %{perl_vendorlib}/XML/
%dir %{perl_vendorlib}/XML/Simple/
%doc %{perl_vendorlib}/XML/Simple/FAQ.pod
%{perl_vendorlib}/XML/Simple.pm
%{_mandir}/man3/XML::Simple.3pm*
%{_mandir}/man3/XML::Simple::FAQ.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 2.18-6
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 27 2010 Paul Howarth <paul@city-fan.org> - 2.18-5
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> - 2.18-4
- Add buildreq perl(Tie::IxHash) for additional test coverage
- Dist tag for Rawhide no longer needs special-casing

* Tue Sep 29 2009 Paul Howarth <paul@city-fan.org> - 2.18-3
- Define RPM macros in global scope

* Wed Oct 29 2008 Paul Howarth <paul@city-fan.org> - 2.18-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Make %%files list more explicit and mark FAQ.pod as %%doc

* Thu Aug 16 2007 Paul Howarth <paul@city-fan.org> - 2.18-1
- Update to 2.18
- Reclarify license to retain dual-license info regarding the Artistic license

* Fri Aug  3 2007 Paul Howarth <paul@city-fan.org> - 2.17-1
- Update to 2.17
- Clarify license as GPL v1 or later (GPL+); whilst the upstream source is
  distributed as "GPL or Artistic" (i.e. same as perl), the Artistic license
  is not free and Fedora does not distribute software under non-free terms
- Add buildreq perl(Test::More)

* Mon Mar 26 2007 Paul Howarth <paul@city-fan.org> - 2.16-3
- Import from Fedora
- Include dist tag macros
- Use search.cpan.org download URL
- BuildRequire perl(ExtUtils::MakeMaker)
- Fix argument order for find with -depth
- Macro-ize commands where possible, use hardcoded paths otherwise

* Tue Dec 05 2006 Robin Norwood <rnorwood@redhat.com> - 2.16-2
- Fix incorrect 'Release' tag - removed extra dot

* Sat Dec 02 2006 Robin Norwood <rnorwood@redhat.com> - 2.16-1
- Upgrade to latest CPAN version: 2.16

* Wed Jun  7 2006 Jason Vas Dias <jvdias@redhat.com> - 2.14-4
- fix bug 191911: make test fails when default Parser is XML::SAX::PurePerl
  but succeeds when default Parser is XML::LibXML::SAX; hence, add buildreqs
  perl(XML::LibXML) and perl(XML::LibXML::Common)

* Wed Jun  7 2006 Matthias Clasen <mclasen@redhat.com> - 2.14-2.2
- Require perl-XML-Parser (#193985)

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 2.14-2.1
- Rebuild for new perl-5.8.8

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.14-2
- Pull perl-XML-Simple from Extras into Core for dependency reasons

* Fri Sep  9 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.14-1
- Update to 2.14
- Added the dist tag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.13-2
- Rebuilt

* Sat Nov 27 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:2.13-1
- Update to 2.13

* Wed May 12 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:2.12-0.fdr.4
- Avoid creation of the perllocal.pod file (make pure_install)

* Thu May  6 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:2.12-0.fdr.3
- Build requirement for perl < 5.8.0 - perl(Storable)

* Thu May  6 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:2.12-0.fdr.2
- Missing $RPM_OPT_FLAGS in the %%build section
- Optional test module as build requirement perl(Tie::IxHash)

* Mon Apr 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.12-0.fdr.1
- Update to 2.12
- Require perl(:MODULE_COMPAT_*)

* Sun Mar 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.11-0.fdr.1
- Update to 2.11
- Reduce directory ownership bloat

* Tue Nov 18 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.09-0.fdr.2
- Use INSTALLARCHLIB workaround in %%install

* Wed Sep 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.09-0.fdr.1
- Update to 2.09

* Wed Sep  3 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.08-0.fdr.1
- First build
